org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.Migrate

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.Migrate

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CollectionAdminRequest<T extends CollectionAdminResponse>

      public static class CollectionAdminRequest.Migrate
      extends CollectionAdminRequest.AsyncCollectionAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `asyncId`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Migrate()` Deprecated. Use `CollectionAdminRequest.migrateData(String, String, String)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCollectionName()`
    `Integer` | `getForwardTimeout()`
    `SolrParams` | `getParams()`
    `Properties` | `getProperties()`
    `String` | `getSplitKey()`
    `String` | `getTargetCollection()`
    `CollectionAdminRequest.Migrate` | `setAsyncId(String id)` Deprecated.
    `CollectionAdminRequest.Migrate` | `setCollectionName(String collection)` Deprecated.
    `CollectionAdminRequest.Migrate` | `setForwardTimeout(int forwardTimeout)`
    `CollectionAdminRequest.Migrate` | `setProperties(Properties properties)`
    `CollectionAdminRequest.Migrate` | `setSplitKey(String splitKey)` Deprecated.
    `CollectionAdminRequest.Migrate` | `setTargetCollection(String targetCollection)` Deprecated.

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Migrate

          @Deprecated
          public Migrate()

      Deprecated. Use `CollectionAdminRequest.migrateData(String, String, String)`

  - ### Method Detail

    - #### setCollectionName

          @Deprecated
          public CollectionAdminRequest.Migrate setCollectionName(String collection)

      Deprecated.

    - #### getCollectionName

          public String getCollectionName()

    - #### setTargetCollection

          @Deprecated
          public CollectionAdminRequest.Migrate setTargetCollection(String targetCollection)

      Deprecated.

    - #### getTargetCollection

          public String getTargetCollection()

    - #### setSplitKey

          @Deprecated
          public CollectionAdminRequest.Migrate setSplitKey(String splitKey)

      Deprecated.

    - #### getSplitKey

          public String getSplitKey()

    - #### setForwardTimeout

          public CollectionAdminRequest.Migrate setForwardTimeout(int forwardTimeout)

    - #### getForwardTimeout

          public Integer getForwardTimeout()

    - #### setProperties

          public CollectionAdminRequest.Migrate setProperties(Properties properties)

    - #### getProperties

          public Properties getProperties()

    - #### setAsyncId

          @Deprecated
          public CollectionAdminRequest.Migrate setAsyncId(String id)

      Deprecated.
      Overrides:
        `setAsyncId` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.